%global tarball_version %%(echo %{version} | tr '~' '.')
%global major_version %%(cut -d '.' -f 1 <<<%{tarball_version})

Summary:        Graphical interface for advanced GNOME 3 settings
Name:           gnome-tweaks
Version:        42~beta
Release:        4%{?dist}
License:        GPLv3 and CC0
URL:            https://wiki.gnome.org/Apps/Tweaks
Source0:        https://download.gnome.org/sources/%{name}/%{major_version}/%{name}-%{tarball_version}.tar.xz

BuildRequires:  meson
BuildRequires:  desktop-file-utils gettext libappstream-glib pkgconfig(libhandy-1) python3-devel
Requires:       gnome-desktop3 gnome-settings-daemon gnome-shell gnome-themes-extra
Requires:       gobject-introspection gsettings-desktop-schemas gtk3 libhandy1 libnotify
Requires:       mutter pango sound-theme-freedesktop python3dist(pygobject)
Suggests:       gnome-shell-extension-user-theme
Provides:       gnome-tweak-tool = %{version}-%{release}

BuildArch:      noarch

%description
GNOME Tweaks allows adjusting advanced configuration settings in GNOME 3. This
includes things like the fonts used in user interface elements, alternative user
interface themes, changes in window management behavior, GNOME Shell appearance
and extension, etc.


%prep
%autosetup -n %{name}-%{tarball_version}


%build
%meson
%meson_build


%install
%meson_install


%check
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet $RPM_BUILD_ROOT/%{_datadir}/metainfo/*.appdata.xml


%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README.md
%license LICENSES/*
%{_bindir}/%{name}
%{_libexecdir}/gnome-tweak-tool-lid-inhibitor
%{python3_sitelib}/gtweak/
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/icons/hicolor/*/apps/org.gnome.tweaks.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.tweaks-symbolic.svg
%{_datadir}/metainfo/*.appdata.xml


%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42~beta-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42~beta-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42~beta-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 04 2023 Miaojun Dong <zoedong@tencent.com> - 42~beta-1
- initial build
